Package Gnumed :: Package wxpython :: Package gui :: Module gmContacts |
[frames] | no frames]

# Module gmContacts

source code

Version: $Revision: 1.50 $

Author: Dr. Richard Terry, Sebastian Hilbert <Sebastian.Hilbert@gmx.net>

License: GPL v2 or later (details at http://www.gnu.org)

Classes
| BlueLabel
| DarkBlueHeading
| TextBox_RedBold
| TextBox_BlackNormal
| cContactsPanel
| gmContacts

Variables
| DISPLAYPERSON = `0`
| organisationsdata = `{1:("John Hunter Hospital", "", "Lookout R`...``
| ID_ORGPERSON_SELECTED
| ID_SAVE
| ID_REPORTS
| ID_INSTANTREPORT
| ID_LINKINTERNET
| ID_SENDEMAIL
| ID_SORTZ_A
| ID_SORTA_Z
| ID_SEARCHSPECIFIC
| ID_RELOAD
| ID_PERSONADD
| ID_EMPLOYEEADD
| ID_BRANCHDEPTADD
| ID_ORGANISATIONADD
| ID_PERSONSDISPLAY
| ID_DOCTORSDISPLAY
| ID_GENERALPRACTICESDISPLAY
| ID_ORGANISATIONDISPLAY
| ID_SEARCHGLOBAL
| ID_SAVESQL
| ID_COMBOTYPE
| ID_ALL_MENU
| ID_ORGANISATIONSLIST
| divisionTypes = `[_('Head Office'), _('Branch'), _('Department')]`

Imports: gmI18N, wx, gmPlugin, images_contacts_toolbar16_16, cPhraseWheel, gmDemographicRecord, OrgCategoryMP, cOrgHelperImpl1, cOrgHelperImpl2, cOrgHelperImpl3, cCatFinder, setPostcodeWidgetFromUrbId

Variables Details

  ### organisationsdata Value:
      {1:("John Hunter Hospital", "", "Lookout Rd NEW LAMBTON HEIGHTS", "Pub
      lic Hospital", "02 49213000"), 2:(" ", "Cardiovascular Department", ""
      , "", "49214200"), 3:(" ", "- Dr L Smith", "Cardiologist", "lsmith@car
      diology.jhh.com.au", "0148 222 222"), 4:(" ", "Department of Surgery",
       "", "", "49214200"), 5:(" ", "- Dr No Brains", "Colorectal surgeon",
      "nobrainer@surgery.jhh.com.au", "0148 111 111"), 6:("Belmont District
      Hospital", "", "Lake Rd BELMONT", "Public Hospital", "02 49421111"), 7
      :(" ", "Physiotherapy", "", "", "49423567"), 8:(" ", "- P Lang", "Spor
      ...